# darbirdsdk ✉️

> Darbird SMS library for Dart. Based on the Official API Documentation provided by [Darbird](https://www.darbird.com).

## Installation

Add [Darbird](https://pub.dartlang.org/packages/darbirdsdk) as a dependency in your `pubspec.yaml` file.

```yaml
darbirdsdk: ^0.0.2
```

## Usage

Import the library in your dart file.

```dart
import 'package:darbirdsdk/darbirdsdk';
```

### Initialize SMS 

```dart
Darbird darbird = Darbird.initialize(
    apikey: 'API_KEY',
    cusId: 'CUSTOMER_ID',
    senderID: 'SENDER_ID',
);
```

### Send SMS

This lets you make a request to send an SMS to the Darbird API. It returns a type `Response` containing the message status, ID and number of SMS credits used.

```dart
var smsDetails = await darbird.sendSMS(to: "234xxxxxxxx", message: "Darbird test", unicode: "1");
print(smsDetails.messageID);
```

### Send Voice 

This lets you make a request to send an Voice Call to the Darbird API. It returns a type `Response` containing the message status, ID and number of SMS credits used.

```dart
var smsDetails = await darbird.sendVoice(to: "234xxxxxxxx", message: "Darbird test");
print(smsDetails.messageID);
```

### Send MMS 

This lets you make a request to send an MMS to the Darbird API. It returns a type `Response` containing the message status, ID and number of SMS credits used.

```dart
var smsDetails = await darbird.sendMMS(to: "234xxxxxxxx", message: "Darbird test",unicode: "1",media_url:"https://console.darbird.com/assets/client_pic/profile.jpg");
print(smsDetails.messageID);
```


### Send Authty 

This lets you make a request to send an Authty to the Darbird API. It returns a type `Response` containing the message Verification Code Sent.

```dart
var smsDetails = await darbird.sendAuthty(to_number: "234xxxxxxxx", token_lenght: "4",message: "",type: "1");
print(smsDetails.messageID);
```

### Verify Authty 

This lets you make a request to Verify Authty on Darbird API. It returns a type `Response` containing the message verification successful.

```dart
var smsDetails = await darbird.verifyAuthty(to_number: "234xxxxxxxx", auth_code: "4");
print(smsDetails.messageID);
```

## Contributing

Please feel free to fork this package and contribute by submitting a pull request to enhance its functionalities.

## How can I thank you?

Just star and share the repo 🙂.